> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List OAuth connections

> Get list of OAuth connections for the authenticated user



## OpenAPI

````yaml /api-reference/endpoint/hub-flows/openapi.json get /hub/integrations/oauth-connections
openapi: 3.0.0
info:
  title: quiva.ai Gateway
  description: API for managing collections, nodes, and workflows in quiva.ai Hub
  version: 0.1.0
  contact:
    name: quiva.ai Support
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Collections
    description: Operations related to collections
  - name: Nodes
    description: Operations related to nodes
  - name: Workflows
    description: Operations related to workflows
  - name: Oauth
    description: Oauth configurations and connections
paths:
  /hub/integrations/oauth-connections:
    get:
      tags:
        - Oauth
      summary: List OAuth connections
      description: Get list of OAuth connections for the authenticated user
      operationId: getIntegrationsOauthConnections
      responses:
        '200':
          description: List of OAuth connections
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OauthConnectionsList'
              example:
                results:
                  - access_token: eyJhbGciOiJSUzI1Ni...
                    token_type: Bearer
                    refresh_token: xoxr-123456789012-refresh-token
                    expiry: '2025-06-15T14:30:00.000000+00:00'
                    expires_in: 43200
                    sequence: 42
                    subject: >-
                      ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.slack.workspace1
                    modified: 1749912600
                  - access_token: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
                    token_type: Bearer
                    refresh_token: ulpL_xero_refresh_token_abc123
                    expiry: '2025-06-15T15:00:00.000000+00:00'
                    expires_in: 1800
                    sequence: 85
                    subject: >-
                      ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
                    modified: 1749914400
                  - access_token: eyJhbGciOiJSUzI1Ni...
                    token_type: Bearer
                    expiry: '2025-12-31T23:59:59.000000+00:00'
                    expires_in: 31536000
                    sequence: 12
                    subject: >-
                      ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.github.personal
                    modified: 1749900000
                results_total: 3
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    OauthConnectionsList:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/OauthConnection'
        results_total:
          type: integer
          example: 2
      example:
        results:
          - access_token: eyJhbGciOiJSUzI1Ni...
            expires_in: 1800
            expiry: '2025-05-29T17:09:39.816102+01:00'
            modified: 1748533179
            refresh_token: ulpL_...
            sequence: 85
            subject: >-
              ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
            token_type: Bearer
          - access_token: eyJhbGciOiJSUzI1NiIs...
            expires_in: 1800
            expiry: '2025-05-29T17:11:54.397804+01:00'
            modified: 1748533314
            refresh_token: pSn5h...
            sequence: 86
            subject: >-
              ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.maria
            token_type: Bearer
        results_total: 2
    Error:
      type: object
      properties:
        error:
          type: string
    OauthConnection:
      type: object
      properties:
        access_token:
          type: string
          description: OAuth access token
          example: eyJhbGciOiJSUzI1Ni...
        token_type:
          type: string
          description: Token type (usually Bearer)
          example: Bearer
        refresh_token:
          type: string
          description: OAuth refresh token
          example: ulpL_...
        expiry:
          type: string
          format: date-time
          description: Token expiration time
          example: '2025-05-29T17:09:39.816102+01:00'
        expires_in:
          type: integer
          description: Token expires in seconds
          example: 1800
        sequence:
          type: integer
          description: Message sequence number
          example: 85
        subject:
          type: string
          description: Message subject
          example: >-
            ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
        modified:
          type: integer
          description: Last modified timestamp
          example: 1748533179
      example:
        access_token: eyJhbGciOiJSUzI1Ni...
        expires_in: 1800
        expiry: '2025-05-29T17:09:39.816102+01:00'
        modified: 1748533179
        refresh_token: ulpL_...
        sequence: 85
        subject: >-
          ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo
        token_type: Bearer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````